*** a/src/backend/storage/lmgr/predicate.c
--- b/src/backend/storage/lmgr/predicate.c
***************
*** 311,317 **** static SlruCtlData OldSerXidSlruCtlData;
   * transactions and the maximum that SLRU supports.
   */
  #define OLDSERXID_MAX_PAGE			Min(SLRU_PAGES_PER_SEGMENT * 0x10000 - 1, \
! 										(MaxTransactionId + 1) / OLDSERXID_ENTRIESPERPAGE - 1)
  
  #define OldSerXidNextPage(page) (((page) >= OLDSERXID_MAX_PAGE) ? 0 : (page) + 1)
  
--- 311,317 ----
   * transactions and the maximum that SLRU supports.
   */
  #define OLDSERXID_MAX_PAGE			Min(SLRU_PAGES_PER_SEGMENT * 0x10000 - 1, \
! 										MaxTransactionId / OLDSERXID_ENTRIESPERPAGE)
  
  #define OldSerXidNextPage(page) (((page) >= OLDSERXID_MAX_PAGE) ? 0 : (page) + 1)
  
